Subject: [bug#62298] [PATCH v2 1/8] services: configuration: Add user-defined sanitizer support.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 24 Mar 2023 19:03:06 +0100

Am Freitag, dem 24.03.2023 um 10:25 -0400 schrieb Maxim Cournoyer:
> > +        ((proc)  ; TODO: deprecated, to be removed
> > +         (every (cut eq? <> #f)
> > +                (map maybe-value-set?
> > +                     (list sanitizer* serializer*)))
> 
> This 'every' call result is not acted upon.  Was it supposed to raise
> a syntax violation?  If it's useful to keep it (and act on it), I'd
> use something like:
If I read this correctly, this 'every' call is actually in a guard
position, that is the syntax-case will ignore proc unless 

> --8<---------------cut here---------------start------------->8---
> (null? (filter-map maybe-value-set? (list sanitizer* serializer*)))
> --8<---------------cut here---------------end--------------->8---
I think your guard is the fancier one, though, and should be preferred.

Cheers